package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * It is required when [dnsEnable] is true.
 */
@ApiModel(description = "It is required when [dnsEnable] is true.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class DnsConfigOpenApiVo   {
  @JsonProperty("primary")
  private String primary;

  @JsonProperty("secondary")
  private String secondary;

  public DnsConfigOpenApiVo primary(String primary) {
    this.primary = primary;
    return this;
  }

  /**
   * Primary DNS
   * @return primary
  */
  @ApiModelProperty(required = true, value = "Primary DNS")
  @NotNull


  public String getPrimary() {
    return primary;
  }

  public void setPrimary(String primary) {
    this.primary = primary;
  }

  public DnsConfigOpenApiVo secondary(String secondary) {
    this.secondary = secondary;
    return this;
  }

  /**
   * Secondary DNS
   * @return secondary
  */
  @ApiModelProperty(value = "Secondary DNS")


  public String getSecondary() {
    return secondary;
  }

  public void setSecondary(String secondary) {
    this.secondary = secondary;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DnsConfigOpenApiVo dnsConfigOpenApiVo = (DnsConfigOpenApiVo) o;
    return Objects.equals(this.primary, dnsConfigOpenApiVo.primary) &&
        Objects.equals(this.secondary, dnsConfigOpenApiVo.secondary);
  }

  @Override
  public int hashCode() {
    return Objects.hash(primary, secondary);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DnsConfigOpenApiVo {\n");
    
    sb.append("    primary: ").append(toIndentedString(primary)).append("\n");
    sb.append("    secondary: ").append(toIndentedString(secondary)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

